"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.container = exports.Container = void 0;
class Container {
    constructor() {
        this.store = {};
    }
    register(key, getter) {
        this.store[key] = getter;
    }
    get(key) {
        const serviceGetter = this.store[key];
        if (!serviceGetter) {
            // throw new Error('[doreamonjs] router is not registered');
            throw new Error(`[doreamonjs] shared service ${key} is not registered`);
        }
        return serviceGetter.apply(null);
    }
    has(key) {
        return !!this.store[key];
    }
}
exports.Container = Container;
exports.container = new Container();
