import { ILogger as ILoggerBase } from '@zodash/logger';
export interface ILogger extends ILoggerBase {
    getLogger?: (namespace: string) => ILogger;
}
export interface LoggerOptions {
    logger?: ILogger;
}
export declare class Logger implements ILogger {
    private readonly options?;
    private _logger;
    constructor(options?: LoggerOptions);
    private get logger();
    log: (message: string, ...args: any[]) => void;
    info: (message: string, ...args: any[]) => void;
    error: (message: string, ...args: any[]) => void;
    warn: (message: string, ...args: any[]) => void;
    debug: (message: string, ...args: any[]) => void;
    getLogger: (namespace: string) => ILogger;
}
export declare const logger: Logger;
