"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.message = exports.Message = void 0;
const constants_1 = require("./constants");
const container_1 = require("./container");
class Message {
    constructor(options) {
        this.options = options;
    }
    get message() {
        var _a, _b;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.message) {
            return (_b = this.options) === null || _b === void 0 ? void 0 : _b.message;
        }
        return container_1.container.get(constants_1.MESSAGE);
    }
    info(content, duration, onClose) {
        return this.message.info(content, duration, onClose);
    }
    success(content, duration, onClose) {
        return this.message.success(content, duration, onClose);
    }
    error(content, duration, onClose) {
        return this.message.error(content, duration, onClose);
    }
    warning(content, duration, onClose) {
        return this.message.warning(content, duration, onClose);
    }
    loading(content, duration, onClose) {
        return this.message.loading(content, duration, onClose);
    }
    //
    open(config) {
        return this.message.open(config);
    }
    config(options) {
        var _a, _b;
        return (_b = (_a = this.message) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.call(_a, options);
    }
}
exports.Message = Message;
exports.message = new Message();
