"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notification = exports.Notification = void 0;
const constants_1 = require("./constants");
const container_1 = require("./container");
class Notification {
    constructor(options) {
        this.options = options;
    }
    get notifier() {
        var _a, _b;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.notification) {
            return (_b = this.options) === null || _b === void 0 ? void 0 : _b.notification;
        }
        return container_1.container.get(constants_1.NOTIFICATION);
    }
    success(cfg) {
        return this.notifier.success(cfg);
    }
    error(cfg) {
        return this.notifier.error(cfg);
    }
    info(cfg) {
        return this.notifier.info(cfg);
    }
    warning(cfg) {
        return this.notifier.warning(cfg);
    }
    //
    open(cfg) {
        return this.notifier.open(cfg);
    }
    config(options) {
        var _a, _b;
        return (_b = (_a = this.notifier) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.call(_a, options);
    }
}
exports.Notification = Notification;
exports.notification = new Notification();
