export interface IRouter {
    push: (path: string | RouteData, state?: any) => void;
    replace: (path: string | RouteData, state?: any) => void;
    go: (count: number) => void;
    goBack: () => void;
}
export interface RouteData {
    pathname?: string;
    query?: any;
    search?: string;
    state?: any;
}
export interface RouterOptions {
    router?: IRouter;
}
export declare class Router implements IRouter {
    private readonly options?;
    constructor(options?: RouterOptions);
    private get router();
    push(path: string | RouteData, state?: any): void;
    replace(path: string | RouteData, state?: any): void;
    go(count: number): void;
    goBack(): void;
}
export declare const router: Router;
