export interface IStore {
    dispatch(action: Action): void;
    getState(): any;
    subscribe(cb: () => void): void;
}
export interface Action {
    type: string;
    payload?: any;
    [key: string]: any;
}
export interface StoreOptions {
    store?: IStore;
}
export declare class Store implements IStore {
    private readonly options?;
    constructor(options?: StoreOptions);
    private get store();
    dispatch(action: Action): void;
    getState(): any;
    subscribe(cb: () => void): void;
}
export declare const store: Store;
